## EEmoticon

EEmoticon

## Functions

gboolean | e_emoticon_equal ()
EEmoticon * | e_emoticon_copy ()
void | e_emoticon_free ()
gchar * | e_emoticon_get_uri ()

## Types and Values

struct | EEmoticon

## Object Hierarchy

        GBoxed
        ╰── EEmoticon

## Description

## Functions

### e_emoticon_equal ()

    gboolean
    e_emoticon_equal (EEmoticon *emoticon_a,
                      EEmoticon *emoticon_b);

### e_emoticon_copy ()

    EEmoticon *
    e_emoticon_copy (EEmoticon *emoticon);

### e_emoticon_free ()

    void
    e_emoticon_free (EEmoticon *emoticon);

### e_emoticon_get_uri ()

    gchar *
    e_emoticon_get_uri (EEmoticon *emoticon);

## Types and Values

### struct EEmoticon

    struct EEmoticon {
    	gchar *label;
    	gchar *icon_name;
    	gchar *unicode_character;
    	gchar *text_face;
    };